From 929fda27c7453453ebc8d99c85208d82417009f6 Mon Sep 17 00:00:00 2001
From: Kobus Grobler <kobus.grobler@gmail.com>
Date: Wed, 26 Aug 2020 21:55:24 +0200
Subject: [PATCH 23/25] Added udev rules for MIRKey devices

Signed-off-by: Gustavo B. Schenkel <gustavo.schenkel@gmail.com>
---
 70-u2f.rules    |  3 +++
 u2f.conf.sample | 10 ++++++++++
 2 files changed, 13 insertions(+)

diff --git a/70-u2f.rules b/70-u2f.rules
index 1427910..0c2bc69 100644
--- a/70-u2f.rules
+++ b/70-u2f.rules
@@ -83,4 +83,7 @@ KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="1d50", ATTRS{idProduct
 # GoTrust Idem Key
 KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="1fc9", ATTRS{idProduct}=="f143", TAG+="uaccess", GROUP="plugdev", MODE="0660"
 
+# ellipticSecure MIRKey
+KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="0483", ATTRS{idProduct}=="a2ac", TAG+="uaccess", GROUP="plugdev", MODE="0660"
+
 LABEL="u2f_end"
diff --git a/u2f.conf.sample b/u2f.conf.sample
index d3ed491..36dead9 100644
--- a/u2f.conf.sample
+++ b/u2f.conf.sample
@@ -149,3 +149,13 @@ notify 100 {
 	match "product"		"0xf143";
 	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
 };
+
+# ellipticSecure MIRKey
+notify 100 {
+	match "system"		"USB";
+	match "subsystem"	"DEVICE";
+	match "type"		"ATTACH";
+	match "vendor"		"0x0483";
+	match "product"		"0xa2ac";
+	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
+};
-- 
2.32.0

